Bug 764705 - (GLUSTER-2973) [FEAT] Type Ahead
[FEAT] Type Ahead
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: bugs@gluster.org
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-01 22:00 EDT by Dave Bour
Modified: 2015-10-22 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Bour 2011-06-01 22:00:03 EDT
Like much of the unix environment, a type ahead by hitting tab to match the portion of unique command (ie, if two commands overlap, stop at the overlap and let the user hit the next unique key to keep moving forward).
Comment 1 Amar Tumballi 2011-06-02 06:18:33 EDT
for now, if you goto the 'gluster' interactive shell (press only 'gluster' in shell and enter), this feature (readline) is enabled.
Comment 2 Amar Tumballi 2011-06-22 00:06:55 EDT
like 'git' does it for its sub commands.
Comment 4 Niels de Vos 2014-11-27 09:45:03 EST
Feature requests make most sense against the 'mainline' release, there is no ETA for an implementation and requests might get forgotten when filed against a particular version.
Comment 5 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.